Package org.eclipse.cdt.core.settings.model

# Interface ICMacroFileEntry

All Superinterfaces:
  `ICLanguageSettingEntry`, `ICLanguageSettingPathEntry`, `ICPathEntry`, `ICSettingEntry`

All Known Implementing Classes:
  `CMacroFileEntry`

public interface ICMacroFileEntry extends ICLanguageSettingPathEntry
Representation in the project model of language settings entries such as macro file (`-imacros file` gcc option). See `ICSettingEntry.MACRO_FILE`.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

## Method Summary

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`